gr::ieee802_15_4::codeword_mapper_bi Class Reference

<+description of block+> More...

`#include <codeword_mapper_bi.h>`

Inheritance diagram for gr::ieee802_15_4::codeword_mapper_bi:
[legend]

## Public Types

typedef boost::shared_ptr< codeword_mapper_bi > | sptr

## Static Public Member Functions

static sptr | make (int bits_per_cw, std::vector< std::vector< int > > codewords)
| Return a shared_ptr to a new instance of ieee802_15_4::codeword_mapper_bi. More...

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<codeword_mapper_bi> gr::ieee802_15_4::codeword_mapper_bi::sptr

## Member Function Documentation

## make()

static sptr gr::ieee802_15_4::codeword_mapper_bi::make | ( | int | bits_per_cw,
|  | std::vector< std::vector< int > > | codewords
| ) |  |

static

Return a shared_ptr to a new instance of ieee802_15_4::codeword_mapper_bi.

To avoid accidental use of raw pointers, ieee802_15_4::codeword_mapper_bi's constructor is in a private implementation class. ieee802_15_4::codeword_mapper_bi::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- codeword_mapper_bi.h